classification
Title: Support for ISO-TP protocol in SocketCAN
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Pier-Yves Lessard, berker.peksag, christian.heimes, terry.reedy
Priority: normal Keywords:

Created on 2017-07-22 04:13 by Pier-Yves Lessard, last changed 2017-11-24 10:03 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2956 merged python-dev, 2017-07-31 04:31
Messages (4)
msg298832 - (view) Author: Pier-Yves Lessard (Pier-Yves Lessard) * Date: 2017-07-22 04:13
PF_CAN socket using ISO-TP protocol cannot be used as getsockaddrarg only supports CAN_RAW and CAN_BCM for AF_CAN addresses.
msg300861 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-26 03:15
There is no specific maintainer for socket modules, so this may or may not get attention anytime soon -- https://docs.python.org/devguide/experts.html.

New features are not backported.
msg300943 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-08-28 08:32
New changeset a30f6d45ac3e72761b96a8df0527182029eaee24 by Christian Heimes (Pier-Yves Lessard) in branch 'master':
bpo-30987 - Support for ISO-TP protocol in SocketCAN (#2956)
https://github.com/python/cpython/commit/a30f6d45ac3e72761b96a8df0527182029eaee24
msg305174 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-10-29 03:52
PR 2956 has been merged. Christian, can this issue be closed now?
History
Date User Action Args
2017-11-24 10:03:27berker.peksagsetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2017-10-29 03:52:06berker.peksagsetnosy: + berker.peksag
messages: + msg305174
2017-08-28 08:44:17christian.heimessetstage: patch review -> commit review
2017-08-28 08:32:48christian.heimessetnosy: + christian.heimes
messages: + msg300943
2017-08-26 03:15:59terry.reedysetnosy: + terry.reedy
messages: + msg300861
2017-08-26 02:22:28Mariattasetstage: patch review
2017-07-31 04:31:00python-devsetpull_requests: + pull_request3004
2017-07-22 04:13:11Pier-Yves Lessardcreate